Name:           vokoscreenNG
Version:        4.5.2
Release:        %mkrel 1
Summary:        User friendly Open Source screencaster
Group:          Video/Editors and Converters

License:        GPLv2
URL:            https://github.com/vkohaupt/vokoscreenNG
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  intltool
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(x11)

%description
VokscreenNG is a user friendly Open Source screencaster for Linux and Windows.
The new name is now vokoscreenNG and has been rewritten from scratch.

%prep
%autosetup -p1 -n %{name}-%{version}/src

cp -a ../COPYING COPYING

%build
%qmake_qt6

%make_build

%install
%make_install

install -m 0755 -Dp %{name} %{buildroot}%{_bindir}/%{name}

# Desktop file
install -m 0644 -Dp applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -m 0644 -Dp applications/%{name}.png \
    %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 4.5.2-1.mga10
+ Revision: 2186131
- new version: 4.5.2

* Thu Mar 27 2025 daviddavid <daviddavid> 4.5.0-1.mga10
+ Revision: 2170394
- new version: 4.5.0

* Sun Feb 16 2025 daviddavid <daviddavid> 4.4.5-1.mga10
+ Revision: 2149081
- new version: 4.4.5

* Sat Jan 25 2025 daviddavid <daviddavid> 4.4.2-1.mga10
+ Revision: 2142103
- new version: 4.4.2

* Wed Jan 08 2025 daviddavid <daviddavid> 4.4.1-1.mga10
+ Revision: 2136141
- new version: 4.4.1

* Fri Nov 22 2024 daviddavid <daviddavid> 4.3.0-1.mga10
+ Revision: 2118557
- new version: 4.3.0

* Tue Jul 02 2024 daviddavid <daviddavid> 4.2.0-1.mga10
+ Revision: 2078776
- new version: 4.2.0

* Thu Apr 25 2024 daviddavid <daviddavid> 4.1.0-1.mga10
+ Revision: 2060963
- new version: 4.1.0

* Thu Jan 25 2024 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 2034309
- new version: 4.0.0

* Fri Oct 13 2023 daviddavid <daviddavid> 3.8.0-1.mga10
+ Revision: 1996189
- new version: 3.8.0
- switch to Qt6
- new version: 3.7.0
- switch to Qt6

* Thu May 18 2023 guillomovitch <guillomovitch> 3.6.0-1.mga9
+ Revision: 1957251
- new version 3.6.0

* Sat Jan 07 2023 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1930977
- new version 3.5.0

* Sat Oct 01 2022 guillomovitch <guillomovitch> 3.4.0-1.mga9
+ Revision: 1893634
- new version 3.4.0

* Sat Jul 09 2022 guillomovitch <guillomovitch> 3.3.0-1.mga9
+ Revision: 1868101
- new version 3.3.0

* Sat Apr 02 2022 guillomovitch <guillomovitch> 3.2.0-1.mga9
+ Revision: 1841019
- new version 3.2.0

* Sun Jan 16 2022 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1768688
- new version 3.1.0

* Tue Jul 13 2021 guillomovitch <guillomovitch> 3.0.9-1.mga9
+ Revision: 1735939
- new version 3.0.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.0.8-1.mga9
+ Revision: 1691692
- new version 3.0.8

* Thu Dec 17 2020 umeabot <umeabot> 3.0.7-2.mga9
+ Revision: 1660253
- Rebuild for new Qt5

* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.7-1.mga8
+ Revision: 1644274
- imported package vokoscreenNG

